Bug 10691 - Can't upload my ssh keys
Summary: Can't upload my ssh keys
Status: RESOLVED NOTOURBUG
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 10063
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 04:08 UTC by Zeeshan Ali
Modified: 2007-08-31 07:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Zeeshan Ali 2007-04-20 04:08:51 UTC
The documentation explains how i can upload my ssh key through mail but it assumed that i have a working outgoing MTA on my machine. I tried several times to send it through gmail but each time i try, i get the following reply:

> Hello!
>
> Your request to the mail gateway is malformed, or an internal processing
> error occured. The information below may help you, or the gateway
> administrator to identify the problem.
>
> Error: Message is not PGP signed:
> ==> Message Error: No PGP signature
>
>
> Please email admin@db.freedesktop.org if you have any questions.
>

  I tried mailing admin@db.freedesktop.org as adviced in this reply but my mail doens't get to anyone and i get this error:

> <admin@db.freedesktop.org>: host fruit.freedesktop.org[131.252.208.30] said:
>   550 <admin@db.freedesktop.org>: Recipient address rejected: User unknown in
>   local recipient table (in reply to RCPT TO command)

  Can't you people provide any easy way for people to administer their accounts like sourceforge, savannah etc etc?
Comment 1 Daniel Stone 2007-04-20 04:52:00 UTC
> Error: Message is not PGP signed:
         ^^^^^^^^^^^^^^^^^^^^^^^^^
> ==> Message Error: No PGP signature
                     ^^^^^^^^^^^^^^^^

i would've thought it would be hard to have a more clear error message ...

>   Can't you people provide any easy way for people to administer their accounts
> like sourceforge, savannah etc etc?

no, 'us people' are too busy thinking up ways to make everything hard to use.
Comment 2 Zeeshan Ali 2007-04-20 05:24:26 UTC
(In reply to comment #1)
> > Error: Message is not PGP signed:
>          ^^^^^^^^^^^^^^^^^^^^^^^^^
> > ==> Message Error: No PGP signature
>                      ^^^^^^^^^^^^^^^^
> 
> i would've thought it would be hard to have a more clear error message ...

    The error message is clear but what am i doing wrong? Can you please look into the original mail i sent (several times), which is obviously PGP signed. For signing the message, I used exactly the same command specified in the docs, the only difference being that i copy/pasted the output to the textbox in the browser.
Comment 3 Zeeshan Ali 2007-04-20 05:27:49 UTC
Re-opening the bug since Daniel closed it without looking into my emails. Also I am sorry that I didn't specify in the original comment to this bug that I did (attempt to) sign the message.
Comment 4 Daniel Stone 2007-04-20 05:28:36 UTC
the original mails aren't kept around for various reasons, not least being the amount of spam that hammers it.  do you have a copy, from your sent box, e.g.?
Comment 5 Zeeshan Ali 2007-04-20 05:43:34 UTC
(In reply to comment #4)
> the original mails aren't kept around for various reasons, not least being the
> amount of spam that hammers it.  do you have a copy, from your sent box, e.g.?

I guess so. This is the first message i sent:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

ssh-dss AAAAB3NzaC1kc3MAAAEBAMFJe8yUUgsfDNr7rDAFuG+SfUQQ+jPlq1OyOHaPOsnjvn4lBtWsxhYcJe1j+O9VyqPtLKhY7nxAFv85yq9UspBVAuBvmq5KV5eCs1bPWxNqpvRCtZoAp8gACSyeTM3l7QoX/xSrL2CbudrbkxDDOnJgsi99EVv1AOtQEhiI7NP3q58sSRF+MWWFTZ/SZ2H2l7Hx0U7cMmSig5CjhfDgUOvAF5ilWhDWSKBOYkb1WhGXRNkRNXtOL/3H1Vqvwwm7wPF6QkIepbysU19QfQB9u+ECdlLqO/LgpG036d4ZEvtN7kwltX/0H0JfpCbU5bYpjfjmSQ+M5dMRN4qMPvcaQCEAAAAVAMX4x23orzlKjGQQwiL1OO6487L3AAABAFpr4DNzED1xIPLVzJbF4aYXnAdUrLyCtkcVffSTD7/vkkcGKuhWEKeKHX/6J7X8wnw0LFuIP2RHcts4aXV/ncllZjIzP83QpOOeQf5vy4szZkiaG/XPvKDf8EBNcePzgkQ3T1lUnPIiJsefXLzr9K5Rx3zLb7itxTFoCWCC5U1h559msIJmtKdwm0dWZM5yvJsjDGivwvDTxkKsELz3QMkl5hE03tYTiEQOCiuySuWdcmHoXD37ZyCSpg7uuEDrtz0W9EuZb+WuU7pltxWy9OMzVpCKDgczm02rjJspwALft62IvTg9yOa1x+Zb2kVNefacifjf5y6UEtXPtf/XbHQAAAEALHE+7ag/p7/CPg8+xkk+mQoQGNyYbts+ln4W7pNhB4i0zlbmW8WThPFDLvQibZScAHuugkvXTRIO5L0XQle1is6K+u9fSl8wqw6PbkUy8f2zPtyam3XyPxjpzT+ya/lQbTeFHTIB6yc6p7Vg+9GG5fMAjg0yL0Te3+NoAhfwzW+NUykSg9DCVbSNL3p6pR5KBi4fvKXKoJNe5WmTiiTkDC3917NX5zgivB3IFV0fOEjN/OL3gg2ETiIc68T+K7QE6Ah3g7Bm54Fmzsg5dD/c8Zol+4p1o/LQ4bB/t1Kiz8Fke7yjJyAprpcenQnB84hT4mhtQ9xFBMHMKkdL7jXQBg==
zeenix@zeenix-desktop
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF9T7W07YGYzeHm2wRAoTnAKCu/5klIjds4MTJL+58mEo2iFkS8QCcDEXO
Fk1QyGAx10nm+0FC663gtAA=
=HB54
-----END PGP SIGNATURE-----
Comment 6 James Cloos 2007-04-20 15:12:59 UTC
(In reply to comment #5)

I was about to suggest BCCing yourself and verifying the sig, but after seeing comment #5 I grabbed your key from a keyserver and did a verify myself.  

It failed with a bad signature error.

And I believe I see why:  the ssh public key was one single line when you signed it, and gmail wrapped that to three lines when it sent the mail.  Undoing that wrapping does allow the sig to verify as correct.

So in short you need to use something other than gmail to send the mail.  Something which will not wrap long lines.

(Unless of course fdo can accept stuff signed with « gpg --sign --armor » rather than only with « gpg --clearsign ».
Comment 7 Daniel Stone 2007-05-05 14:02:51 UTC
invalid, based on wrapping
Comment 8 Zeeshan Ali 2007-08-16 01:41:40 UTC
Now that i sent it using firefox, i got this error:

<change@db.freedesktop.org>: Command died with status 1: "sudo -H -u
   userdir-ldap /usr/bin/ud-mailgate change". Command output: Traceback (most
   recent call last):   File "/usr/bin/ud-mailgate", line 3, in ?     import
   userdir_gpg, userdir_ldap, sys, traceback, time, ldap, os;   File
   "/usr/lib/python2.4/site-packages/userdir_ldap/userdir_ldap.py", line 2, in
   ?     import termios, re, string, imp, ldap, sys, whrandom, crypt, rfc822;
   ImportError: No module named ldap

Final-Recipient: rfc822; change@db.freedesktop.org
Original-Recipient: rfc822;change@db.freedesktop.org
Action: failed
Status: 5.3.0
Diagnostic-Code: x-unix; Traceback (most recent call last):   File
   "/usr/bin/ud-mailgate", line 3, in ?     import userdir_gpg, userdir_ldap,
   sys, traceback, time, ldap, os;   File
   "/usr/lib/python2.4/site-packages/userdir_ldap/userdir_ldap.py", line 2, in
   ?     import termios, re, string, imp, ldap, sys, whrandom, crypt, rfc822;
   ImportError: No module named ldap


---------- Forwarded message ----------
From: Zeeshan Ali <zeenix@gmail.com>
To: change@db.freedesktop.org
Date: Thu, 16 Aug 2007 11:38:35 +0300
Subject: 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

ssh-dss
AAAAB3NzaC1kc3MAAAEBAMFJe8yUUgsfDNr7rDAFuG+SfUQQ+jPlq1OyOHaPOsnjvn4lBtWsxhYcJe1j+O9VyqPtLKhY7nxAFv85yq9UspBVAuBvmq5KV5eCs1bPWxNqpvRCtZoAp8gACSyeTM3l7QoX/xSrL2CbudrbkxDDOnJgsi99EVv1AOtQEhiI7NP3q58sSRF+MWWFTZ/SZ2H2l7Hx0U7cMmSig5CjhfDgUOvAF5ilWhDWSKBOYkb1WhGXRNkRNXtOL/3H1Vqvwwm7wPF6QkIepbysU19QfQB9u+ECdlLqO/LgpG036d4ZEvtN7kwltX/0H0JfpCbU5bYpjfjmSQ+M5dMRN4qMPvcaQCEAAAAVAMX4x23orzlKjGQQwiL1OO6487L3AAABAFpr4DNzED1xIPLVzJbF4aYXnAdUrLyCtkcVffSTD7/vkkcGKuhWEKeKHX/6J7X8wnw0LFuIP2RHcts4aXV/ncllZjIzP83QpOOeQf5vy4szZkiaG/XPvKDf8EBNcePzgkQ3T1lUnPIiJsefXLzr9K5Rx3zLb7itxTFoCWCC5U1h559msIJmtKdwm0dWZM5yvJsjDGivwvDTxkKsELz3QMkl5hE03tYTiEQOCiuySuWdcmHoXD37ZyCSpg7uuEDrtz0W9EuZb+WuU7pltxWy9OMzVpCKDgczm02rjJspwALft62IvTg9yOa1x+Zb2kVNefacifjf5y6UEtXPtf/XbHQAAAEALHE+7ag/p7/CPg8+xkk+mQoQGNyYbts+ln4W7pNhB4i0zlbmW8WThPFDLvQibZScAHuugkvXTRIO5L0XQle1is6K+u9fSl8wqw6PbkUy8f2zPtyam3XyPxjpzT+ya/lQbTeFHTIB6yc6p7Vg+9GG5fMAjg0yL0Te3+NoAhfwzW+NUykSg9DCVbSNL3p6pR5KBi4fvKXKoJNe5WmTiiTkDC3917NX5zgivB3IFV0fOEjN/OL3gg2ETiIc68T+K7QE6Ah3g7Bm54Fmzsg5dD/c8Zol+4p1o/LQ4bB/t1Kiz8Fke7yjJyAprpcenQnB84hT4mhtQ9xFBMHMKkdL7jXQBg==
zeenix@zeenix-desktop
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGxAnJ07YGYzeHm2wRAl/iAKC5iNKSw6MQN6du1XEBUxEIbItzyQCgn6Mt
7xtVQvBeumZy5wipYSTZI2Y=
=nseX
-----END PGP SIGNATURE-----
Comment 9 Zeeshan Ali 2007-08-16 01:42:23 UTC
(In reply to comment #8)
> Now that i sent it using firefox, i got this error:

Oops! i meant thunderbird.
Comment 10 Zeeshan Ali 2007-08-21 02:08:24 UTC
Now i am using exim4 and using the exact same command as specified on the website to sign and send my keys:

cat /home/zeenix/.ssh/id_dsa.pub |gpg --clearsign | mail change@db.freedesktop.org

but now i get this error:

Error: Unable to check the signature or the signature was invalid:
==> Message Error: Verification of signature failed
Comment 11 Zeeshan Ali 2007-08-21 04:23:01 UTC
Might be because my public key changed? :)
Comment 12 Daniel Stone 2007-08-29 02:37:10 UTC
per last comment
Comment 13 Zeeshan Ali 2007-08-31 06:47:46 UTC
per last comment last comment on the dependent bug (10063).
Comment 14 Daniel Stone 2007-08-31 06:54:01 UTC
the last comment on #10063 is 'yes, that's fine, it doesn't need to be reimported', and the bug is RESOLVED/FIXED.
Comment 15 Zeeshan Ali 2007-08-31 07:04:15 UTC
(In reply to comment #14)
> the last comment on #10063 is 'yes, that's fine, it doesn't need to be
> reimported', and the bug is RESOLVED/FIXED.
> 

Yes! but that nullifies my last to last comment based on which you resolved this bug.
Comment 16 Daniel Stone 2007-08-31 07:18:53 UTC
i honestly don't understand what more needs doing.  your public key was imported, and simple addition of new uids doesn't require reimporting, as it will still validate if it's the same key (nonetheless, it's probably in the new keyring already, depending on how i ran gpg).  we don't care which email address submits it, as long as it's a valid signature.

if there's anything more you need me to do, please very let me know in quite clear and simple terms ...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.